<?php
require_once 'config.php';

// الحصول على الرسائل المجدولة
$stmt = $pdo->prepare("
    SELECT m.*, u.subscription_end 
    FROM messages m 
    JOIN users u ON m.user_id = u.id 
    WHERE m.status = 1 
    AND m.schedule_time <= NOW() 
    AND u.subscription_end > NOW()
");
$stmt->execute();
$messages = $stmt->fetchAll();

foreach ($messages as $message) {
    $phones = explode(',', $message['phone_numbers']);
    foreach ($phones as $phone) {
        // هنا يتم إضافة كود إرسال الرسائل عبر WhatsApp
        // يمكن استخدام API مثل Twilio أو WhatsApp Business API
    }
    
    // تحديث حالة الرسالة
    $stmt = $pdo->prepare("UPDATE messages SET status = 2 WHERE id = ?");
    $stmt->execute([$message['id']]);
}
?>